#include "K28KillerTeleportationComponent.h"
#include "K28SecondaryCameraMovementData.h"
#include "Engine/HitResult.h"
#include "Net/UnrealNetwork.h"

class ADBDPlayer;
class UK28LockerComponent;
class ASurvivor;
class UPrimitiveComponent;
class AActor;

void UK28KillerTeleportationComponent::OnPlayerFinishedEnteringLocker(ADBDPlayer* playerThatWasInLocker, ADBDPlayer* playerNowInLocker)
{

}

void UK28KillerTeleportationComponent::OnLevelReadyToPlay()
{

}

void UK28KillerTeleportationComponent::Multicast_TeleportToLockerStart_Implementation(FK28SecondaryCameraMovementData cameraMovementData, UK28LockerComponent* lockerBeingTeleportedTo, ASurvivor* survivorToGrab)
{

}

void UK28KillerTeleportationComponent::Multicast_TeleportToLockerEnd_Implementation(UK28LockerComponent* lockerTeleportedTo, ASurvivor* survivorInLocker)
{

}

void UK28KillerTeleportationComponent::Local_OnTeleportCollisionOverlapEnd(UPrimitiveComponent* overlappedComponent, AActor* otherActor, UPrimitiveComponent* otherComp, int32 otherBodyIndex)
{

}

void UK28KillerTeleportationComponent::Local_OnTeleportCollisionOverlapBegin(UPrimitiveComponent* overlappedComponent, AActor* otherActor, UPrimitiveComponent* otherComp, int32 otherBodyIndex, bool bFromSweep, const FHitResult& sweepResult)
{

}

void UK28KillerTeleportationComponent::GetLifetimeReplicatedProps(TArray<FLifetimeProperty>& OutLifetimeProps) const
{
	Super::GetLifetimeReplicatedProps(OutLifetimeProps);

	DOREPLIFETIME(UK28KillerTeleportationComponent, _isTeleporting);
}

UK28KillerTeleportationComponent::UK28KillerTeleportationComponent()
{

}
